Apêndice A. Gerenciado seu sistema etch

Índice

A.1. Atualizando seu sistema etch
A.2. Verificando sua lista de fontes (sources list)

Este apêndice contém informação sobre como assegurar-se de que você consegue instalar ou atualizar pacotes do etch antes de atualizar para o lenny. Isto só será necessário em situações específicas.

A.1. Atualizando seu sistema etch

Basicamente, isto não é diferente de qualquer outras atualização do etch que você tem feito. A única diferença é que você precisa ter certeza de que sua lista de pacotes ainda contém referências para o etch conforme explicado em Seção A.2, “Verificando sua lista de fontes (sources list)”.

Se você atualizar o seu sistema usando um espelho Debian, ele automaticamente atualizará para a última versão pontual do etch.

A.2. Verificando sua lista de fontes (sources list)

Se qualquer uma das linhas no seu arquivo /etc/apt/sources.list fizer referência a 'stable', você já está efetivamente “usando” o lenny. Se você já executou apt-get update, você ainda pode voltar atrás sem problemas seguindo o procedimento abaixo.

Se você também já instalou pacotes do lenny, provavelmente não há razão para instalar pacotes do etch. Neste caso, você terá que decidir se quer continuar ou não. É possível rebaixar (“downgrade”) um pacote, mas isto não é abordado neste documento.

Abra o arquivo /etc/apt/sources.list com seu editor favorito (como root) e verifique todas as linhas começando com deb http: ou deb ftp: para determinar se existe uma referência a “stable”. Se você encontrar qualquer uma, mude o stable para etch.

Se você possui linhas começando como deb file:, você mesmo terá que verificar se a localização indicada contém um repositório do etch ou do lenny.

[Importante]Importante

Não mude linhas que começam com deb cdrom:. Fazer isso invalidaria a linha e você teria que executar o apt-cdrom novamente. Não se assuste se uma linha de código-fonte 'cdrom' apontar para “unstable”. Embora confuso, isto é normal.

Se você fizer quaisquer mudanças, salve o arquivo e execute

# apt-get update

para atualizar a lista de pacotes.